<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/latest/jquery.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
    <head>
        <title>Form Membuat Jadwal</title>
        <link rel="stylesheet" th:href="@{style.css}">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    </head>

    <body>
        <div class="container">
            <h1>Form Jadwal</h1>
            <form action="#" th:action="@{/form-jadwal}" th:object="${asdos}" method="post">
                <table style="width:100%">
                   
                    <tr>
                      <td>Nama Lengkap :</td>
                      <td> <input type="text" th:field="*{nama}" /></td>
                    </tr>
                    <tr>
                      <td>Kode Asdos : </td>
                      <td><input type="text" th:field="*{kodeAsdos}" /></td>
                    </tr>
                    <tr>
                      <td>Kelas : </td>
                      <td><input type="text" th:field="*{kelas}" /></td>
                    </tr>
                    <tr>
                        <td>Tanggal : </td>
                        <td><input type="text" name="tanggaldemo" id ="tanggaldemo" value= "01/01/2020" />

                            <script>
                            $(function() {
                            $('input[name="tanggaldemo"]').daterangepicker({
                                singleDatePicker: true,
                                showDropdowns: true,
                                minYear: 2000,
                                maxYear: parseInt(moment().format('YYYY'),10)
                            }, function(start, label) {
                                console.log("A new date selection was made: " + start.format('YYYY-MM-DD'));
                            });
                            });
                            </script></td>
                      </tr>
                      <tr>
                        <td>Waktu : </td>
                        <td><input type="text" name="waktudemo" id ="waktudemo" value= "01/01/2020" />
                
                
                            <script>
                            $(function() {
                            $('input[name="waktudemo"]').daterangepicker({
                                timePicker: true,
                                timePicker24Hour: true,
                                timePickerIncrement: 1,
                                locale: {
                                    format: 'HH:mm'
                                }
                            }).on('show.daterangepicker', function(ev, picker) {
                                picker.container.find(".calendar-table").hide();
                            });
                            });
                            </script></td>
                      </tr>
                  </table>
            
               
                <div class="button-container">
                    <input type="submit" value="Submit" />
                </div>
            </form>
        </div>
    </body>
</html>